estimate cost
A quote for planned calls, in credits and cloud minutes, never charged: the same answer as POST /tools/estimate_cost.
POST
/
estimate-cost
estimate cost
curl --request POST \
--url https://eversince.ai/api/v1/estimate-cost \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"operations": [
{
"tool": "<string>",
"model": "<string>",
"settings": {}
}
]
}
'import requests
url = "https://eversince.ai/api/v1/estimate-cost"
payload = { "operations": [
{
"tool": "<string>",
"model": "<string>",
"settings": {}
}
] }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({operations: [{tool: '<string>', model: '<string>', settings: {}}]})
};
fetch('https://eversince.ai/api/v1/estimate-cost', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"ok": true,
"data": {
"total": {
"credits": 123,
"cloud_minutes": 123,
"estimated": true
},
"per_op": [
{}
]
},
"meta": {
"request_id": "<string>"
}
}{
"ok": false,
"error": {
"code": "<string>",
"message": "<string>",
"retryable": true,
"suggested_action": "<string>",
"cloud_processing": {
"ran_on": "cloud",
"minutes": 123,
"queued_minutes": 123,
"left_minutes": 123,
"bought_minutes": 123,
"note": "<string>"
}
}
}⌘I
estimate cost
curl --request POST \
--url https://eversince.ai/api/v1/estimate-cost \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"operations": [
{
"tool": "<string>",
"model": "<string>",
"settings": {}
}
]
}
'import requests
url = "https://eversince.ai/api/v1/estimate-cost"
payload = { "operations": [
{
"tool": "<string>",
"model": "<string>",
"settings": {}
}
] }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({operations: [{tool: '<string>', model: '<string>', settings: {}}]})
};
fetch('https://eversince.ai/api/v1/estimate-cost', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"ok": true,
"data": {
"total": {
"credits": 123,
"cloud_minutes": 123,
"estimated": true
},
"per_op": [
{}
]
},
"meta": {
"request_id": "<string>"
}
}{
"ok": false,
"error": {
"code": "<string>",
"message": "<string>",
"retryable": true,
"suggested_action": "<string>",
"cloud_processing": {
"ran_on": "cloud",
"minutes": 123,
"queued_minutes": 123,
"left_minutes": 123,
"bought_minutes": 123,
"note": "<string>"
}
}
}
